Module SQL_財務管理系統
    Friend Sub SQL_財務帳清單()
        ConnOpen() : SQL1 = "SELECT 流水號, 項次, 用途, 金額, 備註 FROM 零用金支付明細 WHERE 流水號 LIKE N'" & PA1 & "' ORDER BY 項次" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_財務單據()
        If PA = "一級未審核" Then
            If 登入人部門 = "NA" Then
                KKKJJ = " WHERE (零用金支付表.審核人 LIKE N'') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') ORDER BY 零用金支付表.流水號 DESC"
            Else
                KKKJJ = " WHERE (零用金支付表.申請人 LIKE N'" & gUserName & "') AND (零用金支付表.審核人 LIKE N'') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') 
                          ORDER BY 零用金支付表.流水號 DESC"
            End If
        ElseIf PA = "一級作廢" Then
            If 登入人部門 = "NA" Then
                KKKJJ = " WHERE (零用金支付表.審核人 LIKE N'作廢%') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') ORDER BY 零用金支付表.流水號 DESC"
            Else
                KKKJJ = " WHERE (零用金支付表.申請人 LIKE N'" & gUserName & "') AND (零用金支付表.審核人 LIKE N'作廢%') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') 
                          ORDER BY 零用金支付表.流水號 DESC"
            End If
        ElseIf PA = "二級未核准" Then
            If 登入人部門 = "NA" Then
                KKKJJ = " WHERE (審核人 NOT LIKE N'作廢%') AND (審核人 NOT LIKE N'') AND (核准人 LIKE N'') AND (帳本編號 LIKE '" & PA19 & "') ORDER BY 流水號 DESC"
            Else
                KKKJJ = " WHERE (零用金支付表.申請人 LIKE N'" & gUserName & "') AND (零用金支付表.審核人 NOT LIKE N'作廢%') AND (零用金支付表.審核人 NOT LIKE N'')  AND 
                                (零用金支付表.核准人 LIKE N'') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') 
                          ORDER BY 零用金支付表.流水號 DESC"
            End If
        ElseIf PA = "二級作廢" Then
            If 登入人部門 = "NA" Then
                KKKJJ = " WHERE (零用金支付表.審核人 NOT LIKE N'作廢%') AND (零用金支付表.審核人 NOT LIKE N'')  AND (零用金支付表.核准人 LIKE N'作廢%') AND 
                                (零用金支付表.帳本編號 LIKE '" & PA19 & "') ORDER BY 流水號 DESC"
            Else
                KKKJJ = " WHERE (零用金支付表.申請人 LIKE N'" & gUserName & "') AND (零用金支付表.審核人 NOT LIKE N'作廢%') AND (零用金支付表.審核人 NOT LIKE N'')  AND 
                                (零用金支付表.核准人 LIKE N'作廢%') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') 
                          ORDER BY 零用金支付表.流水號 DESC"
            End If
        ElseIf PA = "審核介面_一級未審核" Then
            If 登入人部門 = "NA" Then
                KKKJJ = " WHERE (零用金支付表.審核人 LIKE N'') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') ORDER BY 零用金支付表.流水號 DESC"
            Else
                KKKJJ = " WHERE (零用金支付表.部門 LIKE N'" & 登入人部門 & "%') AND (零用金支付表.審核人 LIKE N'') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') 
                          ORDER BY 零用金支付表.流水號 DESC"
            End If
        ElseIf PA = "審核介面_一級作廢" Then
            If 登入人部門 = "NA" Then
                KKKJJ = " WHERE (零用金支付表.審核人 LIKE N'作廢%') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') ORDER BY 零用金支付表.流水號 DESC"
            Else
                KKKJJ = " WHERE (零用金支付表.部門 LIKE N'" & 登入人部門 & "%') AND (零用金支付表.審核人 LIKE N'作廢%') AND (零用金支付表.帳本編號 LIKE '" & PA19 & "') 
                          ORDER BY 零用金支付表.流水號 DESC"
            End If
        End If
        ConnOpen()
        SQL1 = "SELECT      零用金支付表.流水號, 零用金支付表.部門, 零用金支付表.申請人, LEFT(零用金支付表.申請日期, 10) 
                            AS 申請日期, 零用金支付表.審核人, LEFT(零用金支付表.審核日期, 10) AS 審核日期, 
                            零用金支付表.核准人, LEFT(零用金支付表.核准日期, 10) AS 核准日期, 零用金支付表.備註, 
                            財務帳本編號.帳本名稱 AS 帳本
                FROM        零用金支付表 INNER JOIN
                            財務帳本編號 ON 零用金支付表.帳本編號 = 財務帳本編號.編號 " & KKKJJ & ""
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_帳本下拉清單()
        ConnOpen() : SQL1 = "SELECT 編號, 帳本名稱 FROM 財務帳本編號 ORDER BY 編號" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_財務單據刪除()
        ConnOpen() : SQL1 = "DELETE FROM 零用金支付表 WHERE (流水號 LIKE N'" & PA & "')" : CmdSet_For_dr()
        ConnOpen() : SQL1 = "DELETE FROM 零用金支付明細 WHERE (流水號 LIKE N'" & PA & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_零用金支付表最後一筆資料()
        ConnOpen() : SQL1 = "SELECT TOP (1)  流水號 FROM 零用金支付表 WHERE ( 流水號 LIKE N'" & PA & "')" : CmdSet_For_dr()
    End Sub
End Module
